#### RECSIZE

#### Synopsis

    HELP:   Record length of FLAMFILE (modes CX8,VR8,ADC,NDC,AES 80-32760)(mode CX7 80-4095) [512]
    TYPE:   NUMBER
    SYNTAX: RECSIZE/MAXSIZE/MAXS=num

#### Description

This parameter specifies the maximum record length of the FLAMFILE (without record length fields).

See also parameters RECFORMAT, INRECSIZE and OUTRECSIZE.

The compressed data are written as records of the same length regardless of the record format.

There is no relation between compressed data blocks and the records in the compressed file (FLAMFILE). A record can contain data from one or more compressed data blocks. A compressed data block can be included in one or more records.

The record length of the compressed file is independent from the record length of the original file. This parameter should be chosen according only to the aspect of efficiency and functionality. To avoid padding in blocks, for fixed record length the block length should be a multiple of the record length.

File transfer may require other record length (e.g.: 80 bytes fix for RJE (IBM) or 2036 bytes fix for transfer between SINIX and BS2000 with FT-BS2000).

This parameter is used for compression only.

Syntax restrictions for FLAMv4 or older:

- ZOS
  - `MAXSIZE=n`
  - `MAXS=n`
- UNIX
  - `-recsize=n`
- WINDOWS
  - `recsize=nnn`
  - `recs=nnn`

Values

- ZOS
  - 80 - 32760
- UNIX
  - Integer number between 80 and 32760 for all modes except cx7.
  - Integer number between 80 and 4095 for the cx7 mode.
    - Note: The compressed data is always written in records of the same size, irrespective of the record format. There is no relationship between the compressed blocks and the records in the compressed file. A record may contain data pertaining to one or more compressed blocks. A compressed block may be contained in one or more records. There is no relationship between the records in the compressed and non-compressed files. This parameter need only be specified for the compression procedure.
- WINDOWS
  - Integer decimal number between 80 and 32760 for modes CX8, VR8, ADC, NDC, AES
  - Integer number between 80 and 4095 in CX7 mode.

Default

- 512 Bytes

Valid for

- compression